# Generated by Django 3.2.9 on 2021-12-10 14:41

from django.db import migrations, models

class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Molecule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Variant',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=50)),
                ('name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('pubmed_id', models.IntegerField(unique=True)),
                ('lang', models.CharField(max_length=3)),
                ('date', models.DateField()),
                ('country', models.CharField(max_length=255)),
                ('molecules', models.ManyToManyField(to='secondaryData.Molecule')),
                ('variants', models.ManyToManyField(to='secondaryData.Variant')),
            ],
        ),
        migrations.RunSQL("INSERT INTO `secondaryData_variant` (`code`, `name`) VALUES ('B.1.1.7', 'Alpha'), ('B.1.351', 'Beta'), ('P.1', 'Gamma'), ('B.1.617.2', 'Delta'), ('B.1.1.529', 'Omicron'), ('C.37', 'Lambda'), ('B.1.621', 'Mu')"),
        migrations.RunSQL("INSERT INTO `secondaryData_molecule` (`name`) VALUES ('azithromycin'), ('Dexametasone'), ('Favipiravir'), ('GT0918'), ('Hydroxychloroquine'), ('Ivermectine Leflunomide'), ('Lianhua Qingwen'), ('Lopinavir/Ritonavir'), ('Naproxen'), ('Remdesivir'), ('Traditional Chinese Medicine Prescription'), ('Tramadol'), ('Vitamin C')")
    ]
